Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to update the Ubuntu but I'm receiving the follow error:

Setting up linux-image-3.2.0-24-generic (3.2.0-24.39) ...
Running depmod.
Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists
dpkg: error processing linux-image-3.2.0-24-generic (--configure):
 subprocess installed post-installation script returned error exit status 17
Setting up firefox (13.0+build1-0ubuntu0.12.04.1) ...
Installing new version of config file /etc/apparmor.d/usr.bin.firefox ...
Please restart all running instances of firefox, or you will experience problems.
Setting up firefox-globalmenu (13.0+build1-0ubuntu0.12.04.1) ...
Setting up firefox-gnome-support (13.0+build1-0ubuntu0.12.04.1) ...
Setting up firefox-locale-en (13.0+build1-0ubuntu0.12.04.1) ...
Errors were encountered while processing:
 linux-image-3.2.0-24-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

What can I do?

share|improve this question

1 Answer 1

up vote 2 down vote accepted

sudo rm /initrd.img (its only a symlink)

followed by sudo apt-get -f install linux-image-3.2.0-24-generic

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.